Name:           jgraphx
Version:        1.10.4.1
Release:        %mkrel 1

Summary:        Java Graph Drawing Component
Group:          Development/Libraries
License:        BSD
URL:            http://www.jgraph.com/jgraph.html
Source0:        http://www.jgraph.com/downloads/jgraphx/archive/%{name}-%{version}.tar.xz
BuildRequires:  ant
BuildRequires:  java-devel >= 1.6
BuildRequires:  jpackage-utils
Requires:       java >= 1.4
Requires:       jpackage-utils
BuildArch:      noarch

%description
JGraphX is the a powerful, easy-to-use and feature-rich graph drawing
component for Java. It is a rewrite of JGraph, also known as JGraph 6.


%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
JavaDoc documentation for %{name}


%prep
%setup -q -n %{name}-%{version}
find -name '*.jar' -delete
rm -rf docs/api


%build
ant


%install

# Code
install -d $RPM_BUILD_ROOT%{_javadir}
install -p -m644 lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# API documentation
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}


%files
%{_javadir}/*
%doc license.txt


%files javadoc
%{_javadocdir}/*


%changelog
* Thu Jul 28 2016 adrianomorselli <adrianomorselli> 1.10.1.1-1uplos2013
- rebuild

* Wed Dec 26 2012 Ken <lxgator@gmail.com> 1.10.4.1-1pclos2013
- initial pkg
